#include "stdafx.h"
#include "Output.h"
#include "locale.h"


COutput::COutput()
{
	m_pEditOutput = NULL;
}

COutput::~COutput()
{
}

void COutput::Clear(void)
{
	m_pEditOutput->SetWindowText( _T("") );	// o͂NA
}

void COutput::Printf(const char* format, ...)
{
	const int TraceBufferSize = 1024;
	char buffer[TraceBufferSize];

	va_list argptr;
	va_start(argptr, format);
	vsprintf_s(buffer, format, argptr);
	va_end(argptr);

	wchar_t ws[TraceBufferSize];
	size_t nwslen;
	_tsetlocale(LC_ALL,_T(""));

	int bLast = 0;
	char *p0, *p;
	p0 = buffer;
	while(1){
		p = p0;
		while( *p ){
			if( *p == '\n' ) break;
			p++;
		}
		if( *p == '\0' ) bLast = 1;
		*p = '\0';
		mbstowcs_s( &nwslen, ws, strlen(p0)+1, p0, _TRUNCATE);
		m_pEditOutput->ReplaceSel( ws );
		if( bLast ){
			break;
		}else{
			m_pEditOutput->ReplaceSel( _T("\r\n") );
		}
		p0 = ++p;
		if( *p0 == '\0' ) break;
	}

}

