#include "Output.h"
#include <sys/timeb.h>
#include <time.h>

#pragma once
class CSolution
{
public:
	CSolution();
	~CSolution();

	void SetOutput(COutput *pOutput){ m_pOutput = pOutput; }
	COutput *m_pOutput;
	void MarkTimeStart(void);
	void MarkTimeEnd(void);
	unsigned long GetRunTime(void){ return m_nCPUtime; }
	void Clear(void);
	void Printf(const char* format, ...);
	void Execute();
	void SetFilename(CString strFilename){ m_strFilename = strFilename; }

	CString m_strFilename;
	time_t m_timeCurrent;
	unsigned short m_millitmCurrent;
	unsigned long m_nCPUtime;
};

